For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
      • GETPEPPOL lookup
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
E-invoicingE-invoicing search

PEPPOL lookup

GET
/einvoice_search
GET
/v1/einvoice_search
$curl -G https://api.sandbox.monite.com/v1/einvoice_search \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -d network_identifier=DE010101010 \
> --data-urlencode network_schema=DE:VAT
1{
2 "exists": true
3}
Checks if the specified VAT number or business number is registered on the PEPPOL network as a receiver. For example, you can use this endpoint to check if an entity's counterparts are registered in PEPPOL before creating e-invoices for those counterparts. The lookup is powered by PEPPOL SMPs (Service Metadata Publishers) so it also includes registrations that are not visible in the public PEPPOL directory. Both partner tokens and entity user tokens can be used for authentication. Production and sandbox lookups are separate.
Was this page helpful?
Previous

Get a list of a counterpart’s e-invoicing credentials

Next
Built with

Checks if the specified VAT number or business number is registered on the PEPPOL network as a receiver. For example, you can use this endpoint to check if an entity’s counterparts are registered in PEPPOL before creating e-invoices for those counterparts.

The lookup is powered by PEPPOL SMPs (Service Metadata Publishers) so it also includes registrations that are not visible in the public PEPPOL directory.

Both partner tokens and entity user tokens can be used for authentication.

Production and sandbox lookups are separate.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Query parameters

network_identifierstringRequired1-255 characters

VAT number or business number, depending on the network_schema used. VAT numbers must include the country prefix, for example, use DE010101010 not 10101010.

Note: This endpoint does not validate the format of VAT numbers and business numbers (such as the length or characters used). Invalid values will return {"exists": false}.

network_schemaenumRequired

PEPPOL scheme name.

Allowed values:

Response

Successful Response
existsboolean

true is the specified identifier is registered as a receiver in PEPPOL, and false otherwise.

Errors

401
Get Einvoice Search Request Unauthorized Error
422
Get Einvoice Search Request Unprocessable Entity Error
429
Get Einvoice Search Request Too Many Requests Error